Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2064457 (CVE-2021-44269) - CVE-2021-44269 wavpack: Heap out-of-bounds read in WavpackPackSamples()
Summary: CVE-2021-44269 wavpack: Heap out-of-bounds read in WavpackPackSamples()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-44269
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2067997 2067998 2067999 2068000 2068001
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-15 22:05 UTC by Nick Tait
Modified: 2022-12-06 23:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A heap out-of-bounds read flaw was found in WavPacks' WavpackPackSamples() function of src/pack_utils.c and only affects the command-line program of WavPack (not libwavpack). This flaw allows an attacker to exploit this flaw for a website that uses the WavPack command-line program on user-provided files, causing a denial of service.
Clone Of:
Environment:
Last Closed: 2022-12-06 23:33:11 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:7558 0 None None None 2022-11-08 09:36:53 UTC
Red Hat Product Errata RHSA-2022:8139 0 None None None 2022-11-15 10:24:38 UTC

Description Nick Tait 2022-03-15 22:05:30 UTC
A heap out of bounds read vulnerability was discovered in the function WavpackPackSamples().
https://github.com/dbry/WavPack/issues/110

Comment 3 TEJ RATHI 2022-03-24 08:47:30 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: fedora-all [bug 2067998]


Created wavpack tracking bugs for this issue:

Affects: fedora-all [bug 2067997]

Comment 5 errata-xmlrpc 2022-11-08 09:36:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7558 https://access.redhat.com/errata/RHSA-2022:7558

Comment 6 errata-xmlrpc 2022-11-15 10:24:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8139 https://access.redhat.com/errata/RHSA-2022:8139

Comment 7 Product Security DevOps Team 2022-12-06 23:33:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-44269


Note You need to log in before you can comment on or make changes to this bug.